Knowledge

Get collection

GET
/beta/knowledge/collections/{collectionId}

Get a knowledge collection by id

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

collectionId*string
Formatuuid

Response Body

The knowledge collection

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/collections/{collectionId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419",
"title": "Test Collection",
"description": "This is a test collection",
"internalKbEnabled": true,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
}
}
}

Get collection catalog

GET
/beta/knowledge/collections/{collectionId}/catalog

Get collection catalog, including all categories and articles

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

collectionId*string
Formatuuid

Query Parameters

language?string

Language in which the article translations will be returned. If not provided, the default language will be used.

Response Body

The knowledge collection catalog

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/collections/{collectionId}/catalog' \  -H 'Authorization: <API token>'
{
"data": {
"categories": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"categories": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"categories": [],
"articles": [
{
"id": "5f2640d8-631c-4472-8d48-3de0cfd21cd0",
"title": {
"languageId": "en",
"title": "Getting Started"
}
}
]
}
],
"articles": [
{
"id": "5f2640d8-631c-4472-8d48-3de0cfd21cd0",
"title": {
"languageId": "en",
"title": "Getting Started"
}
}
]
}
],
"articles": [
{
"id": "5f2640d8-631c-4472-8d48-3de0cfd21cd0",
"title": {
"languageId": "en",
"title": "Getting Started"
}
}
]
}
}

Get category

GET
/beta/knowledge/categories/{categoryId}

Get a knowledge category by id

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

categoryId*string
Formatuuid

Query Parameters

language?string

Language in which the article translations will be returned. If not provided, the default language will be used.

Response Body

The category

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/categories/{categoryId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"isDefaultLocation": true,
"isLocked": false,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "222e4567-e89b-12d3-a456-426614174111",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}
GET
/beta/knowledge/categories/{categoryId}/translations

Get the knowledge category translations

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

categoryId*string
Formatuuid

Response Body

The category translations

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/categories/{categoryId}/translations' \  -H 'Authorization: <API token>'
{
"data": {
"titles": [
{
"languageId": "en",
"title": "Getting Started"
}
]
}
}

Get article

GET
/beta/knowledge/articles/{articleId}

Get a knowledge article by id

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

articleId*string
Formatuuid

Query Parameters

language?string

Language in which the article translations will be returned. If not provided, the default language will be used.

Response Body

The knowledge article

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/articles/{articleId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"isDefaultLocation": true,
"translation": {
"draft": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
},
"published": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
},
"tags": [
"f6020a03-5a7a-4d9e-81e6-f1b76a855a5e"
],
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"indexedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000",
"ownedBy": "123e4567-e89b-12d3-a456-426614174000",
"indexedBy": "123e4567-e89b-12d3-a456-426614174000",
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "123e4567-e89b-12d3-a456-426614174000",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}

Delete article

DELETE
/beta/knowledge/articles/{articleId}

Delete a knowledge article

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid

Response Body

Example Request
curl -X DELETE 'https://dev.dixa.io/beta/knowledge/articles/{articleId}' \  -H 'Authorization: <API token>'

Empty

Update article

PATCH
/beta/knowledge/articles/{articleId}

Update a knowledge article

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid

Request Body

The knowledge article fields to update

application/json
  1. body
ownedBy?string

ID of the user who owns the article

tags?

Tags to add or remove

preRelease?boolean

Whether the article is only available in pre-release mode

Response Body

The updated knowledge article

application/json
  1. response
data*

The updated article

Example Request
curl -X PATCH 'https://dev.dixa.io/beta/knowledge/articles/{articleId}' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "ownedBy": "123e4567-e89b-12d3-a456-426614174000",  "tags": {    "add": [      "tag-id-1"    ]  },  "preRelease": false}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"isDefaultLocation": true,
"translation": {
"draft": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
},
"published": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
},
"tags": [
"f6020a03-5a7a-4d9e-81e6-f1b76a855a5e"
],
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"indexedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000",
"ownedBy": "123e4567-e89b-12d3-a456-426614174000",
"indexedBy": "123e4567-e89b-12d3-a456-426614174000",
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "123e4567-e89b-12d3-a456-426614174000",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}

Get article translations

GET
/beta/knowledge/articles/{articleId}/translations

Get a knowledge article translations

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

articleId*string
Formatuuid

Response Body

The article translations

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/translations' \  -H 'Authorization: <API token>'
{
"data": {
"translations": {
"draft": [
{
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
],
"published": [
{
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
]
}
}
}
PATCH
/beta/knowledge/articles/{articleId}/translations

Update translations for a knowledge article. Supports partial success.

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid

Request Body

The translations to update for the article

application/json
  1. body
translations?array<>

List of translations to create or update

Response Body

The updated translations, with partial errors if any

application/json
  1. response
data?array<>

Successfully upserted translations

partialErrors?array<>

Errors for translations that failed

Example Request
curl -X PATCH 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/translations' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "translations": [    {      "languageId": "en",      "title": "My Article",      "content": "<p>Hello world</p>"    }  ]}'
{
"data": [
{
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
]
}

Create article

POST
/beta/knowledge/articles

Create a knowledge article

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Request Body

The knowledge article to create

application/json
  1. body
translations?array<>

Initial translations for the article

parentId?string

ID of the parent category

tags?array<string>

List of tag IDs to assign to the article

preRelease?boolean

Whether the article is only available in pre-release mode

Response Body

The created knowledge article

application/json
  1. response
data*

The created article

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/articles' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "translations": [    {      "languageId": "en",      "title": "My Article",      "content": "<p>Content</p>"    }  ],  "parentId": "123e4567-e89b-12d3-a456-426614174000",  "tags": [    "f6020a03-5a7a-4d9e-81e6-f1b76a855a5e"  ],  "preRelease": false}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"isDefaultLocation": true,
"translation": {
"draft": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
},
"published": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
},
"tags": [
"f6020a03-5a7a-4d9e-81e6-f1b76a855a5e"
],
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"indexedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000",
"ownedBy": "123e4567-e89b-12d3-a456-426614174000",
"indexedBy": "123e4567-e89b-12d3-a456-426614174000",
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "123e4567-e89b-12d3-a456-426614174000",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}

Create category

POST
/beta/knowledge/categories

Create a knowledge category. Every category belongs to a collection: pass a collection ID as parentId to create a top-level category, or a category ID to create a subcategory

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Request Body

The knowledge category to create

application/json
  1. body
translations?array<>

Initial translations for the category

parentId*string

ID of the parent. Use a collection ID to create a top-level category, or a category ID to create a subcategory

Response Body

The created knowledge category

application/json
  1. response
data*

The created category

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/categories' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "translations": [    {      "languageId": "en",      "title": "Getting Started"    }  ],  "parentId": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"isDefaultLocation": true,
"isLocked": false,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "222e4567-e89b-12d3-a456-426614174111",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}

List collections

GET
/beta/knowledge/collections

Paginated list knowledge collections

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Response Body

A list of knowledge collections

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/collections' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419",
"title": "Test Collection",
"description": "This is a test collection",
"internalKbEnabled": true,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
}
}
]
}

Create collection

POST
/beta/knowledge/collections

Create a knowledge collection

Authorization

ApiKeyAuth knowledge.collections:w
headerAuthorization<token>

Scope: knowledge.collections:w

Request Body

The knowledge collection to create

application/json
  1. body
title*string

Title of the collection

description?string

Description of the collection

internalKbEnabled?boolean

Whether the collection is available to browse in the internal knowledge base. Defaults to true

Response Body

The created knowledge collection

application/json
  1. response
data*

The created collection

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/collections' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "title": "Test Collection",  "description": "This is a test collection",  "internalKbEnabled": true}'
{
"data": {
"id": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419",
"title": "Test Collection",
"description": "This is a test collection",
"internalKbEnabled": true,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
}
}
}

Publish translation

POST
/beta/knowledge/articles/{articleId}/translations/{languageId}/publish

Publish a specific translation for search

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid
languageId*string

Response Body

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/translations/{languageId}/publish' \  -H 'Authorization: <API token>'

Empty

Unpublish translation

POST
/beta/knowledge/articles/{articleId}/translations/{languageId}/unpublish

Mark a specific translation as unpublished

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid
languageId*string

Response Body

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/translations/{languageId}/unpublish' \  -H 'Authorization: <API token>'

Empty

DELETE
/beta/knowledge/articles/{articleId}/translations/{languageId}

Delete all versions of a knowledge article translation

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid
languageId*string

Response Body

Example Request
curl -X DELETE 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/translations/{languageId}' \  -H 'Authorization: <API token>'

Empty

Publish article

POST
/beta/knowledge/articles/{articleId}/publish

Publish a new version of all translations for a knowledge article

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid

Response Body

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/publish' \  -H 'Authorization: <API token>'

Empty

Unpublish article

POST
/beta/knowledge/articles/{articleId}/unpublish

Remove all translations of a knowledge article from search

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid

Response Body

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/unpublish' \  -H 'Authorization: <API token>'

Empty

Move article

PATCH
/beta/knowledge/articles/{articleId}/parent/{parentId}

Move a knowledge article to a new parent

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid
parentId*string
Formatuuid

Response Body

Example Request
curl -X PATCH 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/parent/{parentId}' \  -H 'Authorization: <API token>'

Empty

Remove article parent

DELETE
/beta/knowledge/articles/{articleId}/parent

Remove a parent from a knowledge article

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Path Parameters

articleId*string
Formatuuid

Response Body

Example Request
curl -X DELETE 'https://dev.dixa.io/beta/knowledge/articles/{articleId}/parent' \  -H 'Authorization: <API token>'

Empty

POST
/beta/knowledge/articles/attachments

Upload one or more image files to be used as attachments in knowledge articles. Supported formats: image/png, image/jpeg, image/gif, image/webp. Maximum 5 files per request, 4 MB per file, with a total request payload limit of 10 MB. Supports partial success.

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Request Body

multipart/form-data
  1. body
files?array<unknown>

One or more image files to upload as article attachments. Each part must be a supported image format.

Response Body

The uploaded attachments, with partial errors if any

application/json
  1. response
data?array<>

Successfully uploaded attachments

partialErrors?array<>

Errors for attachments that failed

Example Request
curl -X POST 'https://dev.dixa.io/beta/knowledge/articles/attachments' \  -H 'Authorization: <API token>'
{
"data": [
{
"originalFilename": "logo.png",
"url": "https://cdn.example.com/images/org-id/uuid.png"
},
{
"originalFilename": "banner.jpg",
"url": "https://cdn.example.com/images/org-id/uuid2.jpg"
}
],
"partialErrors": []
}